Package org.apache.avro.ipc

# Class Ipc

java.lang.Object
org.apache.avro.ipc.Ipc

public class Ipc extends Object
IPC utilities, including client and server factories.

## Method Summary

Modifier and Type
Method
Description
`static Server`
`createServer(Responder responder, URI uri)`
Create a `Server` listening at the named URI using the provided responder.
`static Transceiver`
`createTransceiver(URI uri)`
Create a client `Transceiver` connecting to the provided URI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createTransceiver

public static Transceiver createTransceiver(URI uri) throws IOException
Create a client `Transceiver` connecting to the provided URI.

Throws:
  `IOException`

### createServer

public static Server createServer(Responder responder, URI uri) throws IOException
Create a `Server` listening at the named URI using the provided responder.

Throws:
  `IOException`